Bug 660952 - FTBFS perl-VCS-LibCVS-1.0002-7.fc14
FTBFS perl-VCS-LibCVS-1.0002-7.fc14
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: perl-VCS-LibCVS (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Reopened, Triaged
Depends On:
Blocks: F15FTBFS
  Show dependency treegraph
 
Reported: 2010-12-07 13:28 EST by FTBFS
Modified: 2011-06-16 15:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 04:49:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (68.31 KB, text/plain)
2010-12-07 13:28 EST, FTBFS
no flags Details
build.log (25.64 KB, text/plain)
2010-12-07 13:28 EST, FTBFS
no flags Details
mock.log (911 bytes, text/plain)
2010-12-07 13:28 EST, FTBFS
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 63776 None None None Never

  None (edit)
Description FTBFS 2010-12-07 13:28:15 EST
perl-VCS-LibCVS-1.0002-7.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-12-07 13:28:19 EST
Created attachment 466481 [details]
root.log


root.log for x86_64
Comment 2 FTBFS 2010-12-07 13:28:22 EST
Created attachment 466482 [details]
build.log


build.log for x86_64
Comment 3 FTBFS 2010-12-07 13:28:24 EST
Created attachment 466483 [details]
mock.log


mock.log for x86_64
Comment 4 Marcela Mašláňová 2010-12-08 06:31:58 EST
False positive. It was built in F-15 without problems.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2651256
Comment 5 Thomas Moschny 2010-12-08 10:19:39 EST
Reproducible on F14/x86_64:

Creating test repository, please be patient:................done
# Test 23 got: "UUB UMB" (t/lcvs-st.t at line 69 fail #21)
#    Expected: "UMB UMB"
#  t/lcvs-st.t line 69 is:     ok (shift (@result_lines), "$file $file");
# Test 25 got: "UUM UMM" (t/lcvs-st.t at line 69 fail #23)
#    Expected: "UMM UMM"
# Test 26 got: "UUU UMU" (t/lcvs-st.t at line 69 fail #24)
#    Expected: "UMU UMU"
# Test 50 got: "UUB UMB\n" (t/lcvs-st.t at line 76 fail #21)
#    Expected: "UMB UMB\n"
#  t/lcvs-st.t line 76 is:   ok(`cd $base/sandbox1/dir1; $lcvs_st $file`, "$file $file\n");
# Test 52 got: "UUM UMM\n" (t/lcvs-st.t at line 76 fail #23)
#    Expected: "UMM UMM\n"
# Test 53 got: "UUU UMU\n" (t/lcvs-st.t at line 76 fail #24)
#    Expected: "UMU UMU\n"
# Test 78 got: "UUB dir1/UMB" (t/lcvs-st.t at line 87 fail #21)
#    Expected: "UMB dir1/UMB"
#  t/lcvs-st.t line 87 is:     ok (shift (@result_lines), "$file dir1/$file");
# Test 80 got: "UUM dir1/UMM" (t/lcvs-st.t at line 87 fail #23)
#    Expected: "UMM dir1/UMM"
# Test 81 got: "UUU dir1/UMU" (t/lcvs-st.t at line 87 fail #24)
#    Expected: "UMU dir1/UMU"
# Test 105 got: "UUB dir1/UMB\n" (t/lcvs-st.t at line 94 fail #21)
#     Expected: "UMB dir1/UMB\n"
#  t/lcvs-st.t line 94 is:   ok(`cd $base/sandbox1; $lcvs_st dir1/$file`, "$file dir1/$file\n");
# Test 107 got: "UUM dir1/UMM\n" (t/lcvs-st.t at line 94 fail #23)
#     Expected: "UMM dir1/UMM\n"
# Test 108 got: "UUU dir1/UMU\n" (t/lcvs-st.t at line 94 fail #24)
#     Expected: "UMU dir1/UMU\n"
t/lcvs-st.t .. 
Failed 12/111 subtests 

Test Summary Report
-------------------
t/lcvs-st.t (Wstat: 0 Tests: 111 Failed: 12)
  Failed tests:  23, 25-26, 50, 52-53, 78, 80-81, 105, 107-108
Files=1, Tests=111, 57 wallclock secs ( 0.03 usr  0.01 sys +  4.87 cusr  1.28 csys =  6.19 CPU)
Result: FAIL
Failed 1/1 test programs. 12/111 subtests failed.
make[1]: *** [test_dynamic] Error 255
make[1]: Leaving directory `.../rpmbuild/perl-VCS-LibCVS/VCS-LibCVS-1.0002/examples'
make: *** [subdirs-test] Error 2
Comment 6 Petr Pisar 2010-12-09 09:42:17 EST
There is some race as it sometimes passes, sometimes doesn't.

I vote for removing this package. No package depends on it. It's five years old code without any care. The tests fail across different systems.
Comment 7 Marcela Mašláňová 2010-12-09 11:09:06 EST
(In reply to comment #6)
> There is some race as it sometimes passes, sometimes doesn't.
> 
> I vote for removing this package. No package depends on it. It's five years old
> code without any care. The tests fail across different systems.

+1
Comment 8 Marcela Mašláňová 2010-12-17 04:49:47 EST
Request for being marked as dead:
https://fedorahosted.org/rel-eng/ticket/4313
Comment 9 Petr Pisar 2011-01-03 04:29:18 EST
Upstream declared this package as unmaintained:
https://rt.cpan.org/Public/Bug/Display.html?id=63776#txn-875175

Note You need to log in before you can comment on or make changes to this bug.